# GoCQHTTP IP BWIKI Bot

修改自：[rikakomoe/cqhttp-twitter-bot](https://github.com/rikakomoe/cqhttp-twitter-bot)

使用 API：[koishijs/koishi](https://github.com/koishijs/koishi)

登录流程参考：[YorkSu/bwiki](https://github.com/YorkSu/bwiki)

## 功能

- 每次启动自动通过 B 站 cookie 模拟登录（B 站 cookie 180 天有效，注意去配置文件更换）
- 自动轮询抓取、筛选、分类、文字处理、上传媒体，并为识别到的公告创建合适的 Wiki 页面
- 自动检测同主题公告并更新现有页面
- 群内或私聊订阅更新汇报
- QQ 端命令详见帮助（/help ipwikistatus）

## 配置

它会从命令传入的 JSON 配置文件里读取配置，配置说明如下

| 配置项 | 说明 | 默认 |
| --- | --- | --- |
| cq_access_token | OneBot HTTP API access_token（需与插件一致，<br />插件若未配置本项即为空，建议配置为独特值） | ""（空） |
| cq_ws_host | OneBot HTTP API 插件服务端地址 | 127.0.0.1 |
| cq_ws_port | OneBot HTTP API 插件服务端口 | 6700 |
| cq_bot_qq | OneBot HTTP API 登录的目标机器人 QQ 号 | 10000（示例值，必填） |
| twitter_consumer_key | Twitter App consumer_key | （必填） |
| twitter_consumer_secret |  Twitter App consumer_secret | （必填） |
| twitter_access_token_key | Twitter App access_token_key | （必填） |
| twitter_access_token_secret | Twitter App access_token_secret | （必填） |
| bilibili_cookie_sessdata | Bilibili SESSDATA cookie 内容，用于登录 | （必填） |
| work_interval | 两次拉取更新的最少间隔时间（秒） | 60 |
| lockfile | 本地保存订阅信息以便下次启动时恢复 | subscriber.lock |
| loglevel | 日志调试等级 | info |

示例文件在 [`config.example.json`](./config.example.json)
